import 'package:flutter/material.dart';
import 'package:rkm_educa_app/componentes/appbar_custom.dart';
import 'package:rkm_educa_app/componentes/drawer_custom.dart';
import 'package:rkm_educa_app/modelos/estudante_modelo.dart';
import '../componentes/item_modelo.dart';
import '../controllers/main_controllers.dart';

class TelaContatos extends StatefulWidget {
  EstudanteModelo estudanteModelo;

  TelaContatos({
    required this.estudanteModelo
});

  @override
  State<TelaContatos> createState() => _TelaContatosState();
}

class _TelaContatosState extends State<TelaContatos> {

  @override
  void initState() {
    super.initState();
    MainControllers().salvarLog(widget.estudanteModelo, 'CONTATOS');
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBarCustom().appbar(context, 'CONTATOS'),
      drawer: DrawerCustom(estudanteModelo: widget.estudanteModelo),
      body: Padding(
        padding: EdgeInsets.all(30),
        child: ListView(
          children: [
            widget.estudanteModelo.dados[widget.estudanteModelo.nroAluno]['TX_DIRETOR']==''
                ?Container()
                :ItemModelo(texto: widget.estudanteModelo.dados[widget.estudanteModelo.nroAluno]['TX_DIRETOR'], titulo: 'Diretor(a)',widthCustom: 0.65),
            widget.estudanteModelo.dados[widget.estudanteModelo.nroAluno]['TX_VICE_DIRETOR']==''?Container()
                :ItemModelo(texto: widget.estudanteModelo.dados[widget.estudanteModelo.nroAluno]['TX_VICE_DIRETOR'], titulo: 'Vice - Diretor(a)',widthCustom: 0.6),
            widget.estudanteModelo.dados[widget.estudanteModelo.nroAluno]['TX_COORDENADOR']==''
                ?Container()
                :ItemModelo(texto: widget.estudanteModelo.dados[widget.estudanteModelo.nroAluno]['TX_COORDENADOR'], titulo: 'Coordenador(a)',widthCustom: 0.55),
            widget.estudanteModelo.dados[widget.estudanteModelo.nroAluno]['NO_EMAIL']==''
                ?Container()
                :ItemModelo(texto: widget.estudanteModelo.dados[widget.estudanteModelo.nroAluno]['NO_EMAIL'], titulo: 'E - mail',widthCustom: 0.6),
            widget.estudanteModelo.dados[widget.estudanteModelo.nroAluno]['NO_SITE']==''
                ?Container()
                :ItemModelo(texto: widget.estudanteModelo.dados[widget.estudanteModelo.nroAluno]['NO_SITE'], titulo: 'Site',widthCustom: 0.6,),
          ],
        ),
      ),
    );
  }
}
